v10和v11 +的常见款式?

我正在使用v7支持库,以便在API级别10+(即Android 2.3.3+)上拥有一个ActionBar。 现在,我想稍微自定义一下,所以我添加了一个应用程序主题。 我的values/styles.xml摘录:

  @style/ActionBarStyle   @drawable/bg_actionbar  

这适用于使用compat内容的Android 2.3.3。 但是,在N4(或模拟器)上的Android 4.3上,不应用样式。 如果我将styles.xml文件更改为:

  @style/ActionBarStyle   @drawable/bg_actionbar  

(注意添加的android:前缀)它适用于4.3,但不适用于2.3(样式未应用)。

有没有什么方法可以解决这个问题而不指定每个两次,一次使用前缀,一次没有?

谷歌文档网站上有一个完美的例子:

http://developer.android.com/guide/topics/ui/actionbar.html#StyleExample

            

有没有什么方法可以解决这个问题而不指定每个两次,一次使用前缀,一次没有?

另一种方法是创建特定于版本的res/values-XX文件夹。

由于除法是版本10和版本10+,您可以创建res/values-v10/styles.xml其中包含:

   

让版本10+处理默认的res/values/styles.xml

   

但是,它与指定两次没有太大区别。

作为参考,您可以查看ActionBarSherlock的项目结构。 那应该为你提供一些指示。

您还可以查看: 将样式和主题应用于UI 。 向下滚动到子部分Select a theme based on platform version

如果我没有误解你的问题,你可以用这种方式将它折叠起来

   

根据我的经验,每次你在styles.xml更改某些东西时,eclipse会给出编译时错误(由于lint,如果我记得很好),但是clean and rebuild会使这些错误消失。